package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.entity.Goods;
import com.ym.mec.biz.dal.entity.MemberPrivilegesItem;
import com.ym.mec.biz.dal.entity.MusicGroup;
import com.ym.mec.biz.dal.entity.MusicGroupPaymentCalender;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectGoodsGroup;
import com.ym.mec.biz.dal.entity.MusicGroupSubjectPlan;
import com.ym.mec.biz.dal.entity.StudentPaymentOrderDetail;

/**
 * 乐团报名缴费相关信息
 */
public class MusicGroupSubjectGoodsAndInfoDto {

    //课程信息
    private Map paymentCalender;

    //乐团声部商品信息
    private List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroupList;

    //乐团计划及收费信息
    private MusicGroupSubjectPlan musicGroupSubjectPlan;

    //学生定制商品
    private List<Goods> studentGoods;

    //其他商品（教材、琴谱）
    private List<Goods> otherGoods;

//    @ApiModelProperty(value = "乐团报名缴费日历",required = false)
//    private MusicGroupPaymentCalender musicGroupPaymentCalender;

    @ApiModelProperty(value = "乐团信息",required = false)
    private MusicGroup musicGroup;

//    @ApiModelProperty(value = "乐团云教练价格",required = false)
//    private BigDecimal cloudTeacherFee;

//    @ApiModelProperty(value = "乐团云教练+价格",required = false)
//    private BigDecimal cloudTeacherPlusFee;
    
//    @ApiModelProperty(value = "会员权益",required = false)
//    private List<MemberPrivilegesItem> memberPrivilegesItemList;
    
    private List<StudentPaymentOrderDetail> studentPaymentOrderDetailList;

    public Map getPaymentCalender() {
        return paymentCalender;
    }

    public void setPaymentCalender(Map paymentCalender) {
        this.paymentCalender = paymentCalender;
    }

    //    private Map<String, BigDecimal> memberCoursePrice = new HashMap<String, BigDecimal>();

    public List<MusicGroupSubjectGoodsGroup> getMusicGroupSubjectGoodsGroupList() {
        return musicGroupSubjectGoodsGroupList;
    }

    public void setMusicGroupSubjectGoodsGroupList(List<MusicGroupSubjectGoodsGroup> musicGroupSubjectGoodsGroupList) {
        this.musicGroupSubjectGoodsGroupList = musicGroupSubjectGoodsGroupList;
    }

    public MusicGroupSubjectPlan getMusicGroupSubjectPlan() {
        return musicGroupSubjectPlan;
    }

    public void setMusicGroupSubjectPlan(MusicGroupSubjectPlan musicGroupSubjectPlan) {
        this.musicGroupSubjectPlan = musicGroupSubjectPlan;
    }

    public List<Goods> getOtherGoods() {
        return otherGoods;
    }

    public void setOtherGoods(List<Goods> otherGoods) {
        this.otherGoods = otherGoods;
    }

    public List<Goods> getStudentGoods() {
        return studentGoods;
    }

    public void setStudentGoods(List<Goods> studentGoods) {
        this.studentGoods = studentGoods;
    }

    public MusicGroup getMusicGroup() {
        return musicGroup;
    }

    public void setMusicGroup(MusicGroup musicGroup) {
        this.musicGroup = musicGroup;
    }

	public List<StudentPaymentOrderDetail> getStudentPaymentOrderDetailList() {
		return studentPaymentOrderDetailList;
	}

	public void setStudentPaymentOrderDetailList(List<StudentPaymentOrderDetail> studentPaymentOrderDetailList) {
		this.studentPaymentOrderDetailList = studentPaymentOrderDetailList;
	}
}
